This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 61761 - wineshelllink script is broken
wineshelllink script is broken
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: wine (Show other bugs)
skipjack-beta1
All Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
:
Depends On:
Blocks: 61590
  Show dependency treegraph
 
Reported: 2002-03-24 03:44 EST by Elliot Peele
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-26 11:51:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Elliot Peele 2002-03-24 03:44:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
there are a few typos in /usr/bin/wineshelllink
on line 109 the else if is elsif
in the same else if statement there is no then
after fixing the previous errors i am getting syntax error: unexpected end of
file on line 130

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run /usr/bin/wineshelllink with the appropriate opptions to creat either a
desktop or menu link
2.
3.
	

Actual Results:  before i fixed this
/usr/bin/wineshelllink: line 111: syntax error near unexpected token `fi'
/usr/bin/wineshelllink: line 111: `  fi'
after
/usr/bin/wineshelllink: line 130: syntax error: unexpected end of file

Expected Results:  a link should have been created

Additional info:
Comment 1 Elliot Peele 2002-03-24 03:51:55 EST
I just looked at the rest of the scripts and the same systax error is in the
gnome section of the script and there are a couple of places that need fi to
make the scripts work.

this works:

# KDE
if [ -d "$HOME/.kde" ]
then
  copy_icon "$HOME/.kde/share/applnk/Wine"
  if [ $mode = "menu" ]
  then
    make_entry > "$HOME/.kde/share/applnk/Wine/$link.desktop"
  else
        if [ -d "$HOME/Desktop" ]
        then
                make_entry > "$HOME/Desktop/$link.desktop"
        fi
  fi
fi

# Gnome
if [ -d "$HOME/.gnome" ]
then
  copy_icon "$HOME/.gnome/apps/Wine"
  if [ $mode = "menu" ]
  then
    make_entry > "$HOME/.gnome/apps/Wine/$link.desktop"
  else
        if [ -d "$HOME/.gnome-desktop" ]
        then
                make_entry > "$HOME/.gnome-desktop/$link.desktop"
        fi
  fi
fi
Comment 2 Bernhard Rosenkraenzer 2002-03-27 08:44:34 EST
The fix is simpler than that, there was a then missing after an elif. 
 
Fixed in 20020327-1. 

Note You need to log in before you can comment on or make changes to this bug.